Subject: bug#61813: closed (Re: bug#61813: 29.0.60; treesit-indent-region can move parts of a C comment to column 0)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 03 Mar 2023 22:24:02 +0000

Your bug report

#61813: 29.0.60; treesit-indent-region can move parts of a C comment to column 0

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61813: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61813
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61813: 29.0.60; treesit-indent-region can move parts of a C comment to column 0
From: Yuan Fu <[email-masked]>
To: Daniel Martín <[email-masked]>
Cc: [email-masked]
Date: Fri, 3 Mar 2023 14:23:05 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Daniel Martín <[email-masked]> writes:

> Steps to reproduce the problem:
>
> emacs -Q
> C-x b sample RET
> M-x c-ts-mode
>
> Paste the following code:
>
> /*
>   First part of a comment.
>
>   Second part of a comment.
>  */
>
> C-x h
> TAB
>
> Expected results:
>
> The buffer is not modified.
>
> Actual results:
>
> /*
>   First part of a comment.
>
> Second part of a comment.
>  */
>
> This bug does not happen if I TAB the original code line by line.  It
> also does not happen if I remove the extra newline between "First part
> of a comment." and "Second part of a comment.".

It should be fixed now, thanks for the report!

Yuan

Subject: 29.0.60; treesit-indent-region can move parts of a C comment to column 0
From: Daniel Martín <[email-masked]>
To: [email-masked]
Date: Sun, 26 Feb 2023 14:55:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce the problem:

emacs -Q
C-x b sample RET
M-x c-ts-mode

Paste the following code:

/*
  First part of a comment.

  Second part of a comment.
 */

C-x h
TAB

Expected results:

The buffer is not modified.

Actual results:

/*
  First part of a comment.

Second part of a comment.
 */

This bug does not happen if I TAB the original code line by line.  It
also does not happen if I remove the extra newline between "First part
of a comment." and "Second part of a comment.".